]> git.decadent.org.uk Git - dak.git/blobdiff - config/debian/cron.dinstall
Use log() not echo() to get timestamps
[dak.git] / config / debian / cron.dinstall
index d275354cc2daf6f7505906a9d628bb2a1b5c8140..07e9b0d5671566f84e22ec36c19fb658f8397c3a 100755 (executable)
@@ -1,7 +1,7 @@
 #!/bin/bash
 # No way I try to deal with a crippled sh just for POSIX foo.
 
-# Copyright (C) 2009 Joerg Jaspert <joerg@debian.org>
+# Copyright (C) 2009-2012 Joerg Jaspert <joerg@debian.org>
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -27,6 +27,7 @@
 
 # exit on errors
 set -e
+set -o pipefail
 # make sure to only use defined variables
 set -u
 # ERR traps should be inherited from functions too. (And command
@@ -72,7 +73,11 @@ function stage() {
 
     error=${ERR:-"true"}
 
-    STAGEFILE="${stagedir}/${FUNC}"
+    ARGS=${ARGS:-""}
+
+    log "########## DINSTALL BEGIN: ${FUNC} ${ARGS} ##########"
+    STAGEFILE="${stagedir}/${FUNC}_${ARGS}"
+    STAGEFILE=${STAGEFILE// /_}
     if [ -f "${STAGEFILE}" ]; then
         stamptime=$(/usr/bin/stat -c %Z "${STAGEFILE}")
         unixtime=$(date +%s)
@@ -129,6 +134,8 @@ function stage() {
     cat "${STAGEFILE}.log" >> "${LOGFILE}"
     rm -f "${STAGEFILE}.log"
 
+    log "########## DINSTALL END: ${FUNC} ##########"
+
     if [ -f "${LOCK_STOP}" ]; then
         log "${LOCK_STOP} exists, exiting immediately"
         exit 42
@@ -159,7 +166,7 @@ state "Startup"
 
 lockfile -l 3600 "${LOCK_DAILY}"
 trap onerror ERR
-trap cleanup EXIT TERM HUP INT QUIT
+trap remove_daily_lock EXIT TERM HUP INT QUIT
 
 touch "${LOCK_BRITNEY}"
 
@@ -172,7 +179,7 @@ GO=(
 stage $GO
 
 GO=(
-    FUNC="merkel1"
+    FUNC="qa1"
     TIME="init"
     ARGS=""
     ERR="false"
@@ -180,9 +187,9 @@ GO=(
 stage $GO &
 
 GO=(
-    FUNC="pgdump_pre"
+    FUNC="pg_timestamp"
     TIME="pg_dump1"
-    ARGS=""
+    ARGS="predinstall"
     ERR=""
 )
 stage $GO
@@ -203,30 +210,38 @@ GO=(
 )
 stage $GO
 
+GO=(
+    FUNC="dep11"
+    TIME="dep11 1"
+    ARGS=""
+    ERR="false"
+)
+stage $GO
+
 lockfile "$LOCK_ACCEPTED"
-lockfile "$LOCK_NEW"
+trap remove_all_locks EXIT TERM HUP INT QUIT
 
 GO=(
     FUNC="punew"
     TIME="p-u-new"
-    ARGS="proposedupdates"
+    ARGS="stable-new"
     ERR="false"
 )
 stage $GO
 
-#GO=(
-#    FUNC="opunew"
-#    TIME="o-p-u-new"
-#    ARGS="oldproposedupdates"
-#    ERR="false"
-#)
-#stage $GO
+GO=(
+    FUNC="opunew"
+    TIME="o-p-u-new"
+    ARGS="oldstable-new"
+    ERR="false"
+)
+stage $GO
 
 GO=(
-    FUNC="newstage"
-    TIME="newstage"
+    FUNC="backports_policy"
+    TIME="backports-policy"
     ARGS=""
-    ERR=""
+    ERR="false"
 )
 stage $GO
 
@@ -249,9 +264,9 @@ GO=(
 stage $GO
 
 GO=(
-    FUNC="filelist"
-    TIME="generate-filelist"
-    ARGS=""
+    FUNC="autocruft"
+    TIME="autocruft"
+    ARGS="unstable experimental"
     ERR=""
 )
 stage $GO
@@ -287,8 +302,6 @@ GO=(
     ARGS=""
     ERR=""
 )
-# Careful: When we ever go and remove this monster-long thing, we have to check the backgrounded
-# functions before it. We no longer have a 1.5hour sync point then.
 stage $GO
 
 state "dists/"
@@ -301,24 +314,24 @@ GO=(
 stage $GO
 
 GO=(
-    FUNC="release"
-    TIME="release files"
+    FUNC="gitpdiff"
+    TIME="gitpdiff"
     ARGS=""
     ERR=""
 )
-stage $GO
+#stage $GO
 
 GO=(
-    FUNC="dakcleanup"
-    TIME="cleanup"
+    FUNC="release"
+    TIME="release files"
     ARGS=""
     ERR=""
 )
 stage $GO
 
 GO=(
-    FUNC="buildd_dir"
-    TIME="buildd_dir"
+    FUNC="dakcleanup"
+    TIME="cleanup"
     ARGS=""
     ERR=""
 )
@@ -333,14 +346,6 @@ GO=(
 )
 stage $GO
 
-GO=(
-    FUNC="mkuploaders"
-    TIME="mkuploaders"
-    ARGS=""
-    ERR=""
-)
-stage $GO
-
 GO=(
     FUNC="copyoverrides"
     TIME="copyoverrides"
@@ -381,7 +386,16 @@ GO=(
 )
 stage $GO
 
-remove_locks
+GO=(
+    FUNC="ddaccess"
+    TIME="ddaccessible sync"
+    ARGS=""
+    ERR="false"
+)
+stage $GO
+
+remove_all_locks
+trap - EXIT TERM HUP INT QUIT
 
 ts "locked part finished"
 state "postlock"
@@ -395,12 +409,12 @@ GO=(
 stage $GO &
 
 GO=(
-    FUNC="pgdump_post"
+    FUNC="pg_timestamp"
     TIME="pg_dump2"
-    ARGS=""
+    ARGS="postdinstall"
     ERR=""
 )
-stage $GO &
+stage $GO
 
 GO=(
     FUNC="expire"
@@ -435,16 +449,16 @@ GO=(
 stage $GO &
 
 GO=(
-    FUNC="merkel2"
-    TIME="merkel projectb push"
+    FUNC="mirrorpush"
+    TIME="mirrorpush"
     ARGS=""
     ERR="false"
 )
 stage $GO &
 
 GO=(
-    FUNC="mirrorpush"
-    TIME="mirrorpush"
+    FUNC="mirrorpush-backports"
+    TIME="mirrorpush-backports"
     ARGS=""
     ERR="false"
 )
@@ -477,35 +491,11 @@ stage $GO &
 rm -f "${LOCK_BRITNEY}"
 
 GO=(
-    FUNC="pgdakdev"
-    TIME="dak-dev db"
-    ARGS=""
-    ERR="false"
-)
-stage $GO &
-
-GO=(
-    FUNC="merkel3"
-    TIME="merkel ddaccessible sync"
-    ARGS=""
-    ERR="false"
-)
-stage $GO &
-
-GO=(
-    FUNC="compress"
-    TIME="compress"
+    FUNC="cleantransactions"
+    TIME=""
     ARGS=""
     ERR=""
 )
-stage $GO &
-
-GO=(
-    FUNC="aptftpcleanup"
-    TIME="apt-ftparchive cleanup"
-    ARGS=""
-    ERR="false"
-)
 stage $GO
 
 # we need to wait for the background processes before the end of dinstall